View Issue Details

IDProjectCategoryView StatusLast Update
0000268ECLERD[All Projects] Generalpublic2015-10-19 00:37
ReporterXenosAssigned ToXenos 
PriorityurgentSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version 
Target Versionv1.0.0-a.7Fixed in Versionv1.0.0-a.7 
Summary0000268: Construire des "zones urbanisées", et décréter que ce sont des villes
DescriptionDans les codes, un petit soucis est apparu: les villes ne sont pas des bâtiments (usines) comme les autres, puisqu'elles ont une notion de "cases" qui leur sont rattachées et de politique.
Or, gérer dans le code le cas particulier du batiment "ville", c'est lourd pour rien (et cela reflète qu'il existe un cas particulier qu'il faudra donc expliquer aux joueurs).
Du coup, voici une proposition permettant de clarifier les choses (dans le code et pour les joueurs, enfin, j'espère):

On ne peut pas construire une ville, on ne peut pas démolir une ville. En revanche, on peut construire un batiment qui s'appelle "zone urbanisée". Dans ce bâtiment, on pourra y mettre la ressource "population", qui produira des heures de travail. Donc, la zone urbanisée est une "usine" comme les autres.
Une fois la zone urbanisée construite, on a alors la possibilité de l'élever au rang de "ville". Tant que le batiment "zone urbanisé" n'a pas été élevé au rang d'une ville, il reste une usine comme une autre (pas de politique, pas d'élection, pas de case qui lui serait rattachée, que dalle de ce genre). Une fois la zone urbanisée élevée au rang de ville, elle a ses propres élections, ses propres cases qui lui sont rattachées (et qu'on gagne/perd aux élections), etc.
De la même façon, on peut "dédécréter" (c'est quoi le contraire de "décréter"?) qu'une zone urbanisée est une ville: la ville est donc rétrogradée au rang de "zone urbanisée".

L'intérêt, c'est donc de bien séparer le batiment (zone urbanisée) du concept 'politique' de la ville.
TagsNo tags attached.
Attach Tags

Activities

Alu

Alu

2015-08-30 20:46

manager   ~0000262

Ok jusque-là ça me va,
cependant, si une ville est créé, et qu'une deuxième zone urbanisée est créée à côté, celle-ci (ZU) sera l'équivalent de son agglomération et appartiendra donc à la ville ?

Si tel est le cas, si je décrète que la ZU devienne une ville, les cases alentours seront donc scindées entre ces deux villes ?

ps: il n'y a pas d'anonymes à "décréter", on ne décrète plus. Ou on crée un nouveau décret annulant le premier. :)
Xenos

Xenos

2015-08-30 21:08

administrator   ~0000263

J'ai eu du mal à comprendre... "antonyme", non pas anonyme? (auto-complétion?)

Et ouep, c'est exactement ce principe-là, la ZU construite à coté d'une ville est un "quartier" de cette ville/est son agglomération.
Xenos

Xenos

2015-08-31 21:30

administrator   ~0000267

On peut donc maintenant construire une zone urbanisée comme un batiment normal. Après, une fois construit, il peut être élevé au rang de ville, auquel cas la case où il se situe est rattachée à cette ville. Si on supprime une ville, elle redevient une zone urbanisée classique, et les cases qui lui étaient rattachées sont maintenant rattachée à une autre ville du joueur, au pif.

Le rattachement des cases à une ville n'a pour l'instant aucun intérêt (pas de politique en place pour le moment), donc peu importe à quelle autre ville la case est rattachée quand une ville est supprimée; le rattachement des cases à une ville n'a d'intérêt que lorsqu'on donne une ville au joueur après son inscription.

A noter qu'on ne peut pas supprimer une ville qui ne nous appartient pas, et qu'on ne peut pas élever une ZU au rang de ville si celle-ci ne nous appartient pas.
Xenos

Xenos

2015-10-19 00:37

administrator   ~0000384

Fixé dans la v1.0.0-a.7 et déployé sur le serveur beta.

Issue History

Date Modified Username Field Change
2015-08-30 19:19 Xenos New Issue
2015-08-30 19:19 Xenos Assigned To => Alu
2015-08-30 19:19 Xenos Status New => Feedback
2015-08-30 20:46 Alu Note Added: 0000262
2015-08-30 20:47 Alu Assigned To Alu => Xenos
2015-08-30 20:47 Alu Status Feedback => New
2015-08-30 20:47 Alu Status New => Feedback
2015-08-30 21:08 Xenos Note Added: 0000263
2015-08-30 21:08 Xenos Status Feedback => In progress
2015-08-31 21:30 Xenos Note Added: 0000267
2015-08-31 21:30 Xenos Status In progress => Resolved
2015-08-31 21:30 Xenos Fixed in Version => v1.0.0-a.7
2015-08-31 21:30 Xenos Resolution open => fixed
2015-10-19 00:37 Xenos Note Added: 0000384
2015-10-19 00:37 Xenos Status Resolved => Close